## kradioripper 0.5.10

=== CMakeLists.txt ===
#
#   Copyright (C) 2008  Tim Fechtner < urwald at users dot sourceforge dot net >
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License or (at your option) version 3 or any later version
#   accepted by the membership of KDE e.V. (or its successor approved
#   by the membership of KDE e.V.), which shall act as a proxy
#   defined in Section 14 of version 3 of the license.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
cmake_minimum_required(VERSION 2.4)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

project (kradioripper)

# requierments
find_package(KDE4 REQUIRED)

# build and install
add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(data)

=== src/CMakeLists.txt ===
#
#   Copyright (C) 2008  Tim Fechtner < urwald at users dot sourceforge dot net >
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License or (at your option) version 3 or any later version
#   accepted by the membership of KDE e.V. (or its successor approved
#   by the membership of KDE e.V.), which shall act as a proxy
#   defined in Section 14 of version 3 of the license.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#



# preparations
include(${QT_USE_FILE})
include(KDE4Defaults)  # some special KDE4 options for cmake
add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
  ${QT_INCLUDE}
  ${KDE4_INCLUDES}
  ./
  qt-extensions/src
  radiostation
  radiostation/service_classes
  radiostation/settings_stream
  settings_general
  ${CMAKE_CURRENT_BINARY_DIR}/radiostation/settings_stream
  ${CMAKE_CURRENT_BINARY_DIR}/settings_general)



# static lib
add_subdirectory(qt-extensions)



# define source files which are part of the project and have to be compiled
set(kradioripper_SRCS
  ${kradioripper_SRCS}
  main.cpp mainwindow.cpp
  stationlistmodel.cpp
  stationlistwidget.cpp)

set(kradioripper_SRCS
  ${kradioripper_SRCS}
  qt-extensions/src/customizableheaderview.cpp
  qt-extensions/src/console_reader.cpp
  qt-extensions/src/stationdirectorytree.cpp
  qt-extensions/src/streamdirectoryservice.cpp
  qt-extensions/src/versionnumber.cpp)

set(kradioripper_SRCS
  ${kradioripper_SRCS}
  radiostation/streamripper_base.cpp
  radiostation/ripping.cpp
  radiostation/radiostation.cpp
  radiostation/get_stream_info.cpp
  radiostation/get_streamripper_version.cpp)

set(kradioripper_SRCS
  ${kradioripper_SRCS}
  radiostation/service_classes/propertyvalue.cpp)

set(kradioripper_SRCS
  ${kradioripper_SRCS}
  radiostation/settings_stream/settings_stream_widget_connection.cpp
  radiostation/settings_stream/settings_stream_widget_splitting.cpp
  radiostation/settings_stream/settings_stream_widget_saving.cpp
  radiostation/settings_stream/settings_stream_dialog.cpp)
kde4_add_ui_files(kradioripper_SRCS
  radiostation/settings_stream/settings_stream_widget_connection.ui
  radiostation/settings_stream/settings_stream_widget_saving.ui
  radiostation/settings_stream/settings_stream_widget_splitting.ui)
kde4_add_kcfg_files(kradioripper_SRCS
  radiostation/settings_stream/settings_stream.kcfgc)
install(FILES radiostation/settings_stream/settings_stream.kcfg
  DESTINATION ${KCFG_INSTALL_DIR})

set(kradioripper_SRCS
  ${kradioripper_SRCS}
  settings_general/settings_general_widget_general.cpp
  settings_general/settings_general_widget_saving.cpp
  settings_general/settings_general_widget_relayserver.cpp
  settings_general/settings_general_dialog.cpp)
kde4_add_ui_files(kradioripper_SRCS
  settings_general/settings_general_widget_general.ui
  settings_general/settings_general_widget_saving.ui
  settings_general/settings_general_widget_relayserver.ui)
kde4_add_kcfg_files(kradioripper_SRCS
  settings_general/settings_general.kcfgc)
install(FILES settings_general/settings_general.kcfg
  DESTINATION ${KCFG_INSTALL_DIR})



# compile and link
kde4_add_executable(kradioripper ${kradioripper_SRCS})
# There is a possibility to make a target depend on a lib: add_dependencies(target dependency1 dependency2 ...)
target_link_libraries(kradioripper ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_LIBRARIES})


# install
install(TARGETS kradioripper DESTINATION ${BIN_INSTALL_DIR})

## kradioripper 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,6 +29,15 @@
 
 # requierments
 find_package(KDE4 REQUIRED)
+# TODO enable libproxy support if available
+IF (NOT WITHOUT_LIBPROXY STREQUAL YES)
+  MESSAGE(STATUS "Compiling with libproxy support (default).")
+  MESSAGE(STATUS "The libproxy support can be disabled manually by calling cmake with \"-DWITHOUT_LIBPROXY=YES\" as argument.")
+  SET (libproxy_DIR cmake)
+  find_package(libproxy REQUIRED)
+ELSE (NOT WITHOUT_LIBPROXY STREQUAL YES)
+  MESSAGE(STATUS "libproxy support has been disabled manually")
+ENDIF (NOT WITHOUT_LIBPROXY STREQUAL YES)
 
 # build and install
 add_subdirectory(src)

=== data/CMakeLists.txt ===
#
#   Copyright (C) 2008  Tim Fechtner < urwald at users dot sourceforge dot net >
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License or (at your option) version 3 or any later version
#   accepted by the membership of KDE e.V. (or its successor approved
#   by the membership of KDE e.V.), which shall act as a proxy
#   defined in Section 14 of version 3 of the license.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# install
install( FILES kradioripperui.rc tips action-favorite-genres-amarok.svgz
         DESTINATION  ${DATA_INSTALL_DIR}/kradioripper )
install(FILES kradioripper.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== po/CMakeLists.txt ===
# based on code from
# http://techbase.kde.org/Development/Tutorials/Localization/i18n_Build_Systems

FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname kradioripper)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES ${catalogname}*.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,26 +27,27 @@
 include_directories(
   ${QT_INCLUDE}
   ${KDE4_INCLUDES}
+  ${LIBPROXY_INCLUDE_DIR}
   ./
   qt-extensions/src
+  qt-extensions/src/streamdirectory
   radiostation
   radiostation/service_classes
   radiostation/settings_stream
   settings_general
+  ${CMAKE_CURRENT_BINARY_DIR}/../
   ${CMAKE_CURRENT_BINARY_DIR}/radiostation/settings_stream
   ${CMAKE_CURRENT_BINARY_DIR}/settings_general)
-
-
-
-# static lib
-add_subdirectory(qt-extensions)
+CONFIGURE_FILE(version.h.cmake version.h)
 
 
 
 # define source files which are part of the project and have to be compiled
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
-  main.cpp mainwindow.cpp
+  listensupport.cpp
+  main.cpp
+  mainwindow.cpp
   stationlistmodel.cpp
   stationlistwidget.cpp)
 
@@ -54,9 +55,15 @@
   ${kradioripper_SRCS}
   qt-extensions/src/customizableheaderview.cpp
   qt-extensions/src/console_reader.cpp
-  qt-extensions/src/stationdirectorytree.cpp
-  qt-extensions/src/streamdirectoryservice.cpp
-  qt-extensions/src/versionnumber.cpp)
+  qt-extensions/src/versionnumber.cpp
+  qt-extensions/src/streamdirectory/streamdirectorymodel.cpp
+  qt-extensions/src/streamdirectory/icecast.cpp
+  qt-extensions/src/streamdirectory/icecast_internalthread.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryproxymodel.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_genre.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_root.cpp
+  qt-extensions/src/streamdirectory/streamdirectoryentry_stream.cpp)
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
@@ -68,7 +75,8 @@
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
-  radiostation/service_classes/propertyvalue.cpp)
+  radiostation/service_classes/propertyvalue.cpp
+  radiostation/service_classes/proxyinfo.cpp)
 
 set(kradioripper_SRCS
   ${kradioripper_SRCS}
@@ -104,8 +112,9 @@
 
 # compile and link
 kde4_add_executable(kradioripper ${kradioripper_SRCS})
-# There is a possibility to make a target depend on a lib: add_dependencies(target dependency1 dependency2 ...)
-target_link_libraries(kradioripper ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${QT_LIBRARIES})
+# There is a possibility to make a target depend on a self-made lib: add_dependencies(target dependency1 dependency2 ...)
+target_link_libraries(kradioripper ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDE4_PHONON_LIBS} ${QT_LIBRARIES} ${LIBPROXY_LIBRARIES})
+
 
 
 # install

=== debian/changelog ===
kradioripper (0.6-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 03:48:53 +0200

kradioripper (0.6-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Source format 3.0
    - Bump build-depends and Standards-Version
    - Build with dh --with kde
    - Bump compat to 7
    - Drop cdbs
    - Update my email address
    - Build with -DWITHOUT_LIBPROXY=YES to avoid FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 03:04:28 +0100

kradioripper (0.5.10-0ubuntu3) karmic; urgency=low

  * In long description change "ripping" to "recording" (LP: #378796)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 20 May 2009 21:12:37 +0200

kradioripper (0.5.10-0ubuntu2) karmic; urgency=low

  * Improve long description (LP: #374499)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Tue, 12 May 2009 14:27:08 +0200

kradioripper (0.5.10-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #271516)
  * Repacked .tar.bz2 to .tar.gz. tarball, no other changes.

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 15 Nov 2008 17:36:56 +0100

=== debian/control ===
Source: kradioripper
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro-ghersi@kubuntu.org>
Build-Depends: debhelper (>= 7.4.13),
               pkg-kde-tools,
               cmake,
               kdelibs5-dev (>= 4:4.4.0)
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/project/showfiles.php?group_id=217306

Package: kradioripper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, streamripper (>= 1.63)
Description: internet radio recorder
 KRadioRipper is a program for recording internet radios and other streams.
 For streams that provide information about the song title, it can split the
 stream and create an own file for each track, with a corresponding file name
 and corresponding metadata. It is based on Streamripper and provides a well
 arranged user interface for whose features. Like Streamripper, it accepts MP3,
 AAC and OGG streams from Shoutcast-servers and Icecast-servers.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure --buildsystem=kde -- -DWITHOUT_LIBPROXY=YES

%:
	dh --with kde $@
